Bug 1612800 - [RFE] Option to specify filter_host_parents and exclude_hosts_parents on Satellite web UI virt-who configuration.
Summary: [RFE] Option to specify filter_host_parents and exclude_hosts_parents on Sate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.3.2
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Amit Upadhye
QA Contact: Kunxin Huang
satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 10:12 UTC by Sagar Lutade
Modified: 2019-11-20 13:37 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-foreman_virt_who_configure-0.4.0
Doc Type: Release Note
Doc Text:
For VMware hypervisors, you can now filter and exclude host parents through the Satellite web UI, API, and Hammer CLI.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24555 Normal Closed Option to specify filter_host_parents and exclude_hosts_parents on Satellite web UI virt-who configuration. 2020-01-23 17:51:35 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:07 UTC

Description Sagar Lutade 2018-08-06 10:12:43 UTC
Description of problem:

Option to specify filter_host_parents and exclude_hosts_parents on Satellite web UI.

To manage VMware platform at cluster level the option filter_host_parents and exclude_hosts_parents can be used for the virt-who configurations.

But this option is not available on the Satellite web UI when creating the configuration file.

The option can be added to the configuration file from the CLI, but running the hammer or web it will overwrite the configuration file on every run.

Comment 1 Marek Hulan 2018-08-07 10:11:20 UTC
A valid RFE, the virt-who options were introduced in BZ 1192217

Comment 2 Marek Hulan 2018-08-07 10:12:36 UTC
Created redmine issue https://projects.theforeman.org/issues/24555 from this bug

Comment 5 pm-sat@redhat.com 2018-12-21 17:09:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24555 has been resolved.

Comment 9 errata-xmlrpc 2019-10-22 12:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.